Skip to navigation

Webhook endpoint for receiving orders and creating optimized Orders

This endpoint receives order data and creates optimized orders automatically

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

access_tokenstringOptional
Access Token
ordersstringOptional

Orders JSON - Array of orders to optimize. Example: [{“warehouse_id”: “00”,“deliver_on”: “2026-01-22”,“reference_id”: “TEST-1735647600”,“customer”: “Mobi mariam”,“phone”: “123344566”,“customer_address”: “123 Test Street”,“latitude”: 12.0000000000,“longitude”: 12.0000000000,“product_items”: [{“product_id”: 123456,“qty”: 10,“unitPrice”: 5.50 }]}]

Response

Returns success status with optimization results